> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://doc.cheddar.biz/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://doc.cheddar.biz/_mcp/server.

# Get a customer withdrawal

GET https://api.cheddar.biz/v1/withdrawals/{id}

One withdrawal by the `withdrawalId` from `POST /withdraw`, the `CUSTOMER_WITHDRAW*` webhooks, or the list endpoint.

Reference: https://doc.cheddar.biz/api/api-reference/payments/get-a-customer-withdrawal

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Servers

- `https://api.cheddar.biz/v1` (Production, default)
- `https://staging-api-aws.cheddar.biz/v1` (Staging)

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

Withdrawal

- `id` (string, required) — Withdrawal id — `withdrawalId` from POST /withdraw and `id` on the CUSTOMER_WITHDRAW webhooks.
- `customerId` (string, required)
- `status` (enum, required)
  - Allowed values: `PENDING`, `CONFIRMED`, `FAILED`, `REJECTED`, `AWAITING_CONFIRMATION`, `FLAGGED`, `PREFUNDING`
- `awaitingApprovalReason` (enum, required)
  - Allowed values: `WITHDRAW_THRESHOLD_EXCEEDED`, `LOW_LIQUIDITY`, `MANUAL_APPROVAL_REQUIRED`
- `failureReason` (string, required, nullable)
- `mint` (CustomerWithdrawalStatusMint, required)
- `amount` (string, required) — Base units, always positive
- `uiAmount` (string, required)
- `txHash` (string, required, nullable)
- `toAddress` (string, required)
- `scannerUrl` (string, required, nullable)
- `createdAt` (datetime, required)
- `confirmedAt` (datetime, required, nullable)
- `idempotencyKey` (string, required, nullable) — The idempotencyKey sent on POST /withdraw, or null.
- `approvedAt` (datetime, required, nullable)
- `rejectedAt` (datetime, required, nullable)

## Errors

### 401 Unauthorized Error

Unauthorized — missing or invalid API key

- `error` (string, required)

### 403 Forbidden Error

Forbidden — the request IP address is not whitelisted

- `error` (string, required)

### 404 Not Found Error

Not found

- `error` (string, required)

## Types

### CustomerWithdrawalStatusMint

- `id` (integer, required)
- `symbol` (string, required)
- `chain` (enum, required)
  - Allowed values: `BITCOIN`, `ETHEREUM`, `SOLANA`, `TRON`, `BSC`, `POLYGON`, `BITCOIN_CASH`, `LITECOIN`, `ROBINHOOD`

## Examples

**Response**

```json
{
  "id": "string",
  "customerId": "string",
  "status": "PENDING",
  "awaitingApprovalReason": "WITHDRAW_THRESHOLD_EXCEEDED",
  "failureReason": "string",
  "mint": {
    "id": 1,
    "symbol": "string",
    "chain": "BITCOIN"
  },
  "amount": "string",
  "uiAmount": "string",
  "txHash": "string",
  "toAddress": "string",
  "scannerUrl": "string",
  "createdAt": "2024-01-15T09:30:00Z",
  "confirmedAt": "2024-01-15T09:30:00Z",
  "idempotencyKey": "string",
  "approvedAt": "2024-01-15T09:30:00Z",
  "rejectedAt": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://api.cheddar.biz/v1/withdrawals/id"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.cheddar.biz/v1/withdrawals/id';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.cheddar.biz/v1/withdrawals/id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.cheddar.biz/v1/withdrawals/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.cheddar.biz/v1/withdrawals/id")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.cheddar.biz/v1/withdrawals/id', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.cheddar.biz/v1/withdrawals/id");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.cheddar.biz/v1/withdrawals/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```